Support Support Downloads Knowledge Base Juniper Support Portal Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

2021-10 Security Bulletin: Junos OS and Junos OS Evolved: python-cryptography 3.2 is vulnerable to Bleichenbacher timing attacks in the RSA decryption API via timed processing of valid PKCS#1 v1.5 ciphertext. (CVE-2020-25659)

0

0

Article ID: JSA11245 SECURITY_ADVISORIES Last Updated: 25 Oct 2021Version: 3.0
Product Affected:
This issue affects Junos OS 19.4, 20.1, 20.2, 20.3, 20.4. This issue affects Junos OS Evolved. This issue affects Wind River Linux.
Problem:
A vulnerability in the python cryptographic library as used in Juniper Networks Junos OS and Junos OS Evolved allows an attacker to perform timing oracle attacks against RSA decryption. As the open source community notes for this component change to address this attack, this update to the cryptographic library attempts to make RSA PKCS #1 v1.5 decryption more constant-time ( O(1) time, to be more independent between total operations performed related to input sizes), to protect against Bleichenbacher vulnerabilities.

Due to limitations imposed by the python-cryptography API, it cannot completely mitigate this vulnerability and a future release of the python-cryptography project will contain a new API which is designed to be resilient to these attacks for contexts where it is required, so as not to leak secret information through timing analysis.

This issue affects:

Juniper Networks Junos OS

  • 19.4 versions prior to 19.4R2-S4, 19.4R3-S2;
  • 20.1 versions prior to 20.1R3;
  • 20.2 versions prior to 20.2R2-S3;
  • 20.3 versions prior to 20.3R2, 20.3R3;
  • 20.4 versions prior to 20.4R1-S1, 20.4R2.

This issue affects Juniper Networks Junos OS Evolved versions prior to 20.4R3-S1.

This issue affects all versions of Wind River Linux on all products.

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

This issue was seen during production usage.

This issue is also known as Bleichenbacher Attack.

This issue has been assigned CVE-2020-25659.

Solution:

The following software releases have been updated to resolve this specific issue:

Junos OS: 19.4R2-S4, 19.4R3-S2, 20.1R3, 20.2R2-S3, 20.2R3, 20.3R2, 20.4R1-S1, 20.4R2, 21.1R1, and all subsequent releases.

Junos OS Evolved: 20.4R3-S1, and all subsequent releases in 20.4R3-Sy release branch.

This issue is being tracked as 1553116 and 1602272.

Workaround:
When available, do not use RSA for key exchange.
Implementation:
Software releases or updates are available for download at https://support.juniper.net/support/downloads/
Modification History:
2021-10-13: Initial Publication.
2021-10-25: Affects All Junos products, not only SRX Series.  Advisory updated accordingly.
CVSS Score:
5.9 (CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N)
Severity Level:
Medium
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."

Related Links

Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search